## gawk 4.0.0.h+dfsg

=== pc/Makefile ===
# Makefile for gawk (GNU awk)                                      Dec 2010
#
# - for GNU C (djgpp)         [32bit protected-mode executable for DOS]
# - for GNU C (emx)           [32bit executable for OS/2 or DOS or Windows32]
# - for GNU C (mingw32)	      [Windows32 executable for Windows 9x/NT/2K/XP/7]

# Tested with GNU make on Windows, OS/2 and DOS.

default:
	@echo "Enter $(MAK) target "
	@echo " where 'target' is chosen from                          "
	@echo "  djgpp ... DOS 32-bit exe [GNU C, Delorie, v2]         "
	@echo "  emx ..... OS/2 32-bit exe [emx/gcc; uses emxlibc.dll] "
	@echo "  emxnt ... NT exe [emx/gcc with RSXNT]                 "
	@echo "  emxbnd .. OS/2 and DOS 32-bit exe [emx/gcc]           "
	@echo "  mingw32 . Windows32 exe [Mingw32 GNU C]               "
	@echo "  ----------------------------------------------------- "
	@echo "  test .... Perform tests (see README_d/README.pc)      "
	@echo "  install . Install gawk under $(prefix)/               "
	@echo "  doc ..... Create documentation                        "

# Support dropped in 4.0
# - for DJGPP v1.x            [DOS 32bit protected-mode executable]
# - for MS-Visual C/C++ 4.x   [Windows32 executable for Windows 9x/NT]
# - for Microsoft C 7         [16bit ececutable for DOS]
# - for Microsoft C 6.00A     [16bit executable for OS/2 or DOS]
#	@echo "  djgppv1 . DOS 32-bit exe [GNU C, Delorie, v1]         "
#	@echo "  msc ..... DOS exe [Microsoft C 7 & 8 (AKA 1.52)]      "
#	@echo "  msc6 .... DOS exe [Microsoft C 6.00a]                 "
#	@echo "  msc6os2 . OS/2 exe [Microsoft C 6.00a]                "
#	@echo "  msc6bnd . OS/2 and DOS exe [Microsoft C 6.00a]        "
#	@echo "  vcWin32 . Windows32 exe [Microsoft Visual C]          "
# Support dropped in 3.0
# - for Microsoft C 5.1       [16bit executable for OS/2 or DOS]
#	@echo "  msc51     DOS exe [Microsoft C 5.1]                   "
#	@echo "  msc51bnd  OS/2 and DOS exe [Microsoft C 5.1]          "

#======================= Configuration ==================================
RSPFILE = gawk.rsp
PRSPFILE = pgawk.rsp
DRSPFILE = dgawk.rsp
#
# Choose method for passing arguments to the linker.
#
# If compiling under OS/2 or if make can pass long lines
#LDRSP = $(GAWKOBJS)
#LNKRSP = $(LDRSP)
#
# else use brain-dead approach (emxbnd will need 'tr').
RSP = $(RSPFILE)
PRSP = $(PRSPFILE)
DRSP = $(DRSPFILE)
LDRSP = @$(RSP)
PLDRSP = @$(PRSP)
DLDRSP = @$(DRSP)
LNKRSP = $(LDRSP)
#------------------------------------------------------------------------
# Some makes do not define MAKE (and ndmake does not allow a define).
# Define MAK to be your make command.
#MAKE = dmake
MAK = $(MAKE) $(MAKEFILE)
#MAK = $(MAKE)
#MAKEFILE = -f Makefile
#MAK = make45 $(MAKEFILE)
#------------------------------------------------------------------------
# Define the base directory for the install. "make install" will install
# in bin, lib/awk, man, and info under $(prefix)/. Most likely, you should
# edit config.h so that $(prefix)/lib/awk appears as part of DEFPATH.
#prefix =
prefix = c:/gnu
pkgdatadir = $(prefix)/lib/awk
#
# Define the install method. Method 1 is Unix-like (and requires cat,
# cp, mkdir, sed, and sh); method 2 uses gawk and batch files.
install = 1
#------------------------------------------------------------------------
# To work around command-line length problems, this makefile assumes
# that $($X) can be expanded.
DO_LNK = $($(LNK))
DO_BIND= $($(BIND))
DO_PLNK = $($(PLNK))
DO_PBIND= $($(PBIND))
DO_DLNK = $($(DLNK))
DO_DBIND= $($(DBIND))
#========================================================================
# End of general configuration. Some platform-specific configuration
# notes appear below.

#========================================================================
#========================== DJGPP =======================================
#========================================================================

ifneq ($(DJGPP),)
prefix = $(DJDIR)
pkgdatadir = $(prefix)/share/awk
endif
LDJG = $(CC) $(LF) -o gawk.exe $(LDRSP) $(LF2)
PLDJG = $(CC) $(LF) -o pgawk.exe $(PLDRSP) $(LF2)
DLDJG = $(CC) $(LF) -o dgawk.exe $(DLDRSP) $(LF2)
BDJG = stubify -g awk.exe | stubedit awk.exe runfile=gawk

djgpp:
	$(MAK) all \
	CC=gcc O=.o CF=-O2 \
	LNK=LDJG PLNK=PLDJG DLNK=DLDJG LF=-s LF2=-lm \
	BIND=BDJG PBIND='' DBIND=''

djgpp-debug:
	$(MAK) all \
	CC=gcc O=.o CF='-O2 -g' \
	LNK=LDJG PLNK=PLDJG DLNK=DLDJG LF2=-lm \
	BIND=BDJG PBIND='' DBIND=''

#========================================================================
#========================== EMX =========================================
#========================================================================

# Link command for OS/2 versions.
LEMX = $(CC) $(LF) -o $@ $(GAWKOBJS) gawk.def -lbsd $(LF2)

# Link and bind for DOS and OS/2 versions.
# emx-09 needs '-p' emx option here or in EMXOPT environ var.
# The following works with 0.9a or newer
LEMXBND = $(CC) $(LF) -o gawk $(LDRSP) gawk.def -lbsd $(LF2)
BEMX = emxbind -bs gawk  -p
# The following works with 0.9c or newer
#LEMXBND = $(CC) $(LF) -o a.out $(LDRSP) gawk.def -lbsd $(LF2)
#BEMX = emxbind -bs -o $@ a.out -p
#BEMX = emxbind -bs /emx/bin/emx.exe a.out $@ -p
BEMXD = emxbind -b -o $@ a.out -p

emx:
	$(MAK) all \
	"CC=gcc -Zomf" O=.obj "CF=-O -DOS2" \
	LNK=LEMX "LF=-s -Zcrtdll -Zstack 512" RSP=

emxnt:
	$(MAK) all \
	"CC=gcc -Zwin32 -Zcrtdll=rsxntcs" O=.o "CF=-O -DOS2" \
	LNK=LEMX "LF=-s -Zstack 512" RSP=

emxbnd:
	$(MAK) all \
	CC=gcc O=.o "CF=-O -DOS2 -DMSDOS" OBJ=popen.o \
	LNK=LEMXBND \
	BIND=BEMX "P=|tr \" \" \"\n\""

emxbnd-debug:
	$(MAK) all \
	CC=gcc O=.o "CF=-g -DOS2 -DMSDOS" OBJ=popen.o \
	LNK=LEMXBND \
	BIND=BEMXD "P=|tr \" \" \"\n\""

#========================================================================
#========================== MINGW32 =====================================
#========================================================================

LMINGW32 = $(CC) $(LF) -o $@ $(GAWKOBJS) $(LF2)
PLMINGW32 = $(CC) $(LF) -o $@ $(PGAWKOBJS) $(LF2)
DLMINGW32 = $(CC) $(LF) -o $@ $(DGAWKOBJS) $(LF2)
# The following might work around command-line length limitations:
#LMINGW32 = $(CC) $(LF) -o $@ *.o $(LF2)

mingw32:
	$(MAK) all \
	CC=gcc O=.o CF="-O2 -gdwarf-2 -g3" OBJ=popen.o \
	LNK=LMINGW32 PLNK=PLMINGW32 DLNK=DLMINGW32 \
	LF="-gdwarf-2 -g3" LF2=-lmsvcp60 RSP=

# Define BIND for BINDless compiles, otherwise $($(BIND)) may break.
BIND = EMPTY
PBIND = EMPTY
EMPTY=

# bitwise operations (-DBITOPS) and non-decimal input data (-DNONDECDATA) are
# undocumented in 3.0.3.  They may be enabled in config.h, or added to CFLAGS.
CFLAGS = $(CF) -DGAWK -I. -DHAVE_CONFIG_H $(DYN_FLAGS)

# object files
AWKOBJS1  = array$O builtin$O eval$O field$O floatcomp$O gawkmisc$O io$O main$O
AWKOBJS2  = ext$O msg$O node$O profile$O re$O replace$O version$O $(DYN_OBJ)
PAWKOBJS1 = array$O builtin$O eval_p$O field$O floatcomp$O gawkmisc$O io$O main$O
PAWKOBJS2 = ext$O msg$O node$O profile_p$O re$O replace$O version$O $(DYN_OBJ)
DAWKOBJS1  = array$O builtin$O debug$O eval_d$O field$O floatcomp$O gawkmisc$O io$O main$O
DAWKOBJS2  = ext$O msg$O node$O profile$O re$O replace$O version$O command$O $(DYN_OBJ)
AWKOBJS = $(AWKOBJS1) $(AWKOBJS2)

ALLOBJS = $(AWKOBJS) awkgram$O getid$O $(OBJ)

# LIBOBJS
#       GNU and other stuff that gawk uses as library routines.
LIBOBJS= getopt$O getopt1$O dfa$O regex$O random$O

GAWKOBJS = $(ALLOBJS) $(LIBOBJS)
PGAWKOBJS = $(PAWKOBJS1) $(PAWKOBJS2) $(LIBOBJS) awkgram$O getid$O $(OBJ)
DGAWKOBJS = $(DAWKOBJS1) $(DAWKOBJS2) $(LIBOBJS) awkgram$O getid$O $(OBJ)

# clear out suffixes list
# .SUFFIXES:
.SUFFIXES: .c $O

.c$O:
	$(CC) -c $(CFLAGS) $<

# rules to build gawk
all : gawk.exe pgawk.exe dgawk.exe

gawk.exe:: $(GAWKOBJS) $(RSP)
	$(DO_LNK)
	$(DO_BIND)

pgawk.exe:: $(PGAWKOBJS) $(PRSP)
	$(DO_PLNK)
	$(DO_PBIND)

dgawk.exe:: $(DGAWKOBJS) $(DRSP)
	$(DO_DLNK)
	$(DO_DBIND)

$(RSPFILE) : $(GAWKOBJS)
	echo $(AWKOBJS1)$P > $@
	echo $(AWKOBJS2)$P >> $@
	echo awkgram$O getid$O $(OBJ) $(LIBOBJS)$P >> $@

$(PRSPFILE) : $(PGAWKOBJS)
	echo $(PAWKOBJS1)$P > $@
	echo $(PAWKOBJS2)$P >> $@
	echo awkgram$O getid$O $(OBJ) $(LIBOBJS)$P >> $@

$(DRSPFILE) : $(DGAWKOBJS)
	echo $(DAWKOBJS1)$P > $@
	echo $(DAWKOBJS2)$P >> $@
	echo awkgram$O getid$O $(OBJ) $(LIBOBJS)$P >> $@

# Notes to dependencies:
# 1. The dependency on getopt.h is because unistd.h includes it,
#    and we have -I. on the compiler command line.  unistd.h is
#    included by awk.h.
# 2. custom.h is not mentioned because pc ports don't use it.
$(ALLOBJS) $(LIBOBJS) eval_p$O profile_p$O: \
  awk.h regex.h config.h gettext.h mbsupport.h protos.h dfa.h getopt.h

builtin$O:	floatmagic.h random.h popen.h

random$O:	floatmagic.h random.h

debug$O:	floatmagic.h

command$O debug$O:	cmd.h

dfa$O:	xalloc.h

gawkmisc$O:	pc/gawkmisc.pc

getopt$O getopt1$O :	getopt_int.h

io$O:		popen.h

regex$O:	regcomp.c regexec.c regex_internal.h

eval_p$O:	eval.c

profile_p$O:	profile.c

# A bug in ndmake requires the following rule
awkgram$O: awk.h awkgram.c
	$(CC) -c $(CFLAGS) awkgram.c

awkgram.c:	awkgram.y
	bison -o $@ awkgram.y

alloca$O:	alloca.c


install: install$(install)

install1:
	echo extproc sh $(prefix)/bin/igawk.cmd > igawk.cmd
	echo shift >> igawk.cmd
	cat pc/awklib/igawk >> igawk.cmd
	sed "s;igawk;$(prefix)/bin/igawk;" pc/awklib/igawk.bat > igawk.bat
	sh mkinstal.sh $(prefix)/bin
	sh mkinstal.sh $(pkgdatadir) $(prefix)/man/man1 $(prefix)/info
	cp *awk.exe igawk.bat igawk.cmd pc/awklib/igawk $(prefix)/bin
	cp awklib/eg/lib/* pc/awklib/igawk.awk $(pkgdatadir)
	cp doc/*.1 $(prefix)/man/man1
	cp doc/gawk.info $(prefix)/info

# install2 is equivalent to install1, but doesn't require cp, sed, etc.
install2:
	gawk -v prefix=$(prefix) -f install.awk

clean:
	rm -rf gawk pgawk dgawk *.exe gawk.map *.o *.obj core a.out $(RSPFILE) $(PRSPFILE) $(DRSPFILE) $(DYN_EXP)
#	cd doc && $(MAKE) clean
#	cd test && $(MAKE) clean
#	cd awklib && $(MAKE) clean

awklib/eg: doc/gawk.texi
	rm -fr awklib/eg
	sh -c "cd awklib && ../gawk -f extract.awk ../doc/gawk.texi"

check:
	@echo "Running the tests requires several unix-like utilities.  The"
	@echo "recommendation is to copy pc/Makefile.tst to test/Makefile.  Under"
	@echo "DOS, it may be necessary to run make from the test directory."
# The `-k' option to make should be unnecessary if using pc/Makefile.tst.
	sh -c "cd test && $(MAK) -k AWK=../gawk.exe"
#	sh -c "cd test && $(MAK) AWK=../gawk.exe bigtest extra"

test:	check

# for those who have the necessary tools:
TAGS:
	etags awk.h *.y custom.h *.c *.h

tags:
	ctags awk.h *.y custom.h *.c *.h

#========================================================================
#================================= DOC ==================================
#========================================================================

DVIS = ./doc/gawk.dvi ./doc/gawkinet.dvi
PDFS = ./doc/gawk.pdf ./doc/gawkinet.pdf
PSS = ./doc/gawk.ps ./doc/gawkinet.ps
HTMLS = ./doc/gawk.html ./doc/gawkinet.html
INFOS = ./doc/gawk.info ./doc/gawkinet.info
TEXINFOS = ./doc/gawk.texi ./doc/gawkinet.texi

TEXI2DVI = texi2dvi --build-dir=./doc
TEXI2PDF = $(TEXI2DVI) --pdf --batch
DVIPS = dvips
MAKEINFO = makeinfo --no-split --force
MAKEINFOHTML = $(MAKEINFO) --html

TROFF = groff -t -Tps -U
#SEDME = sed -e "s/^level0 restore/level0 restore flashme 100 72 moveto (Copyright `date '+%m-%d-%y %T'`, FSF, Inc. (all)) show/" \
#		-e "s/^\/level0 save def/\/level0 save def 30 -48 translate/"

SEDME = sed "s/^\/level0 save def/\/level0 save def 30 -48 translate/"

SEDME2 = sed "/%%Page: 10 10/,/0 Cg EP/d"

.SUFFIXES: .dvi .html .info .pdf .ps .texi

.texi.info:
	$(MAKEINFO) -o $@ $<

.texi.html:
	$(MAKEINFOHTML) -o $@ $<

.texi.dvi:
	$(TEXI2DVI) -o $@ $<

.texi.pdf:
	$(TEXI2PDF) -o $@ $<

.dvi.ps:
	$(DVIPS) -o $@ $<

./doc/awkcard.tr: ./doc/awkcard.in
	cd doc
	sed "s,SRCDIR,.," < awkcard.in > awkcard.tr
	cd ..

./doc/awkcard.nc: export GROFF_TMPDIR ?= .

## gawk 4.0.0+dfsg

=== debian/changelog ===
gawk (1:4.0.0+dfsg-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.  Closes: #638428.
    - Interval expressions are now default for GNU Awk.  Closes: #376851.
  * debian/copyright: Update year and version.
  * debian/rules: Drop unneeded --enable-switch, this is now the default.
  * debian/control
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.2. 
  * debian/source/format: Add, source format '3.0 (quilt)'.
  * debian/{prerm,postinst}: Add 'set -e' and debhelper token.
  * 18_de.po-typos.diff: Refresh.
  * 19_gawk.1-hyphen.diff: Add, fix hyphens used as minus sign. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 25 Aug 2011 15:07:15 +0200

gawk (1:3.1.8+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.  Closes: #627065.
    - Correct precision for %s in non-C locales.  Closes: #581793, #613156.
  * Use system-wide libsigsegv.
  * Change version suffix from .dfsg to +dfsg.
  * 18_de.po-typos.diff: Refresh.
  * 19_fr.po-typos.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Wed, 06 Jul 2011 14:03:04 +0200

gawk (1:3.1.7.dfsg-5) unstable; urgency=low

  * Fix manpage links.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 20 Mar 2010 11:27:57 +0000

gawk (1:3.1.7.dfsg-4) unstable; urgency=low

  * Fix testsuite display.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 19 Mar 2010 21:53:20 +0000

gawk (1:3.1.7.dfsg-3) unstable; urgency=low

  * Ignore machine and locale dependant testsuite failures.  Closes: #571782.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 28 Feb 2010 12:06:11 +0000

gawk (1:3.1.7.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: Fix patch stamp.
  * debian/control:
    - Depends on ${misc:Depends}.
    - Bump Standards-Version to 3.8.4.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 27 Feb 2010 22:49:33 +0000

gawk (1:3.1.7.dfsg-1) experimental; urgency=low

  * New upstream release.
  * 05_arm_align.dpatch, 20_manpage.dpatch: Remove, applied upstream.
  * Convert packaging to debhelper and quilt:
    - Update debian/control and debian/rules accordingly.
    - debian/compat: New.
  * Update other patches.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 14:37:32 +0000

gawk (1:3.1.6.dfsg-4) unstable; urgency=low

  * Support Renesas SH4 (Nobuhiro Iwamatsu).  Closes: #536198.
  * debian/patches/20_eval.c-utf-8-strcat.dpatch: Remove redundant patch
    (Michael Vogt).  Closes: #534573.
  * 20_manpage.dpatch: Add, fix gawk manpage (Tommi Vainikainen).
    Closes: #298355.
  * debian/control: Bump Standards-Version to 3.8.3.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 10:53:25 +0000

gawk (1:3.1.6.dfsg-3) unstable; urgency=low

  * debian/patches/05_arm_align.dpatch: Add, fixes rand.awk test case
    alignment problem on arm/armel.  Closes: #497180.
  * debian/rules: Fail the build in case of regression in the testsuite.
  * debian/copyright: Update for GPL v3.
  * debian/watch: Add.  Closes: #497181.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 28 May 2009 09:24:47 +0000

gawk (1:3.1.6.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 3.8.1.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 08 May 2009 10:27:17 +0000

gawk (1:3.1.6.dfsg-1) experimental; urgency=low

  * New maintainer.
  * New upstream release.  Closes: #451614
    - Upload to experimental until we are sure testsuite passes on all archs.
    - Return right RLENGTH in match functions.  Closes: #385869
    - Fix SIGABRT when LANG=*.UTF-8 on amd64.  Closes: #410299
    - Return correct position values for regular expressions.  Closes: #432014
    - Fix sub() behaviour with MBS_SUPPORT defined.  Closes: #369277
    - Avoid bogus error setting BINMODE on command line.  Closes: #369278
    - Handle NULL character properly.  Closes: #369279
    - Fix FIELDWIDTHS off-by-one error.  Closes: #369280
    - Fix some memory leaks on match(s,r).  Closes: #440799
  * Already fixed bugs in previous versions:
    - Fix some memory corruptions.  Closes: #408391, #425842.
    - Print correct string length after index and sub.  Closes: #471664
  * Update patches:
    - debian/patches/18_de.po-typos.dpatch: Refresh.
    - debian/patches/25_free_wstr-and-multiple-frees.dpatch: Remove, already
      applied upstream.
    - debian/patches/01_po-Makefile.in.in.dpatch: Remove, fixed upstream.
    - debian/patches/19_io.c-invalid-free.dpatch: Remove, fixed upstream.
  * debian/patches/19_fr.po-typos.dpatch: Add, fix some typos in the French
    translation.  Closes: #390577
  * debian/patches/00list: Update.
  * debian/copyright: Update.
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Add Homepage filed.
  * debian/rules:
    - Bump version to 3.1.6.
    - Improve a bit.
    - Fix prefix in make install.
    - Don't install obsolete README.FIRST.
    - Configure with --enable-switch.  Closes: #307510

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 21 Aug 2008 19:18:25 +0000

gawk (1:3.1.5.dfsg-4.1) unstable; urgency=low

  * add 25_free_wstr-and-multiple-frees.dpatch: brought in some changes from
    current CVS, to resolve an issue with multiple frees (Closes: 418790).

    Thanks to Micah Cowan <micah@cowan.name> for the patch.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 15 Mar 2008 18:07:50 +0100

gawk (1:3.1.5.dfsg-4) unstable; urgency=low

  * doc/gawk.info, doc/gawk.texi, doc/gawkinet.info, doc/gawkinet.texi:
    GFDL with invariant sections - removed and repackaged as 'gawk-doc'
    for non-free.  Closes: #357257
   * debian/rules (build): touch removed .info and .texi files in doc/ as a
     minimally intrusive (if nasty) way of pulling a fast one on the build
     system.
   * debian/rules (binary-arch): don't compress info files, instead remove
     the empty ones that now get installed.
   * debian/postinst: don't invoke install-info.
   * debian/prerm: likewise.



=== debian/control ===
Source: gawk
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 7), gettext, bison, libsigsegv-dev
Maintainer: Arthur Loiret <aloiret@debian.org>
Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/gawk/

Package: gawk
Architecture: any
Provides: awk
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}
Description: GNU awk, a pattern scanning and processing language
 `awk', a program that you can use to select particular records in a
 file and perform operations upon them.
 .
 Gawk is the GNU Project's implementation of the AWK programming language.
 It conforms to the definition of the language in the POSIX 1003.2 Command
 Language And Utilities Standard. This version in turn is based on the
 description in The AWK Programming Language, by Aho, Kernighan, and
 Weinberger, with the additional features defined in the System V Release
 4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
 extensions, and some GNU-specific extensions.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

distribution = $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')

CFLAGS = -g -O2 -Wall
ifeq (sh4,$(DEB_HOST_ARCH))
  # Renesas SH(sh4) need -mieee option.
  # If this option is not effective, fmtspcl test fails.
  CFLAGS += -mieee
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch --date="Jan 01 2000" doc/gawk.info doc/gawk.texi \
		doc/gawkinet.info doc/gawkinet.texi
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --libexecdir=/usr/lib \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
	touch $@

ok_tests := \
	double1 double2 fmtspcl intformat
	# machine-dependant tests
ok_tests += \
	asort asorti fmttest fnarydel fnparydl lc_num1 mbfw1 \
	mbprintf1 mbprintf2 rebt8b2 sort1 sprintfc whiny
	# locale-dependant tests

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) check 2>&1 | tee log-check
	# Display failed tests, if any
	tests=$$(ls test/_* 2>/dev/null) ; \
	if test -n "$$tests" ; then \
	  echo "Failing tests: $$(echo $$tests | sed -e 's/test\/_//g')" ; \
	  for test in $$(ls test/_* 2>/dev/null) ; \
	    do echo ">>> $$test" && cat $$test ; \
	  done ; \
	fi
  ifneq ($(distribution),experimental)
	@cd test/ && for test in $$(ls _* 2>/dev/null) ; \
	  do if test -z "$$(echo $(addprefix _,$(ok_tests)) | grep $$test)"; \
	    then exit 1 ; \
	  fi ; \
	done
  endif
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f doc/gawk.info doc/gawk.texi doc/gawkinet.info doc/gawkinet.texi
	rm -f debian/substvars awkgram.c log-check test/_*
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_prep
	$(MAKE) install DESTDIR="$(CURDIR)/debian/gawk"
	# Remove versioned binaries.
	rm -f debian/gawk/usr/bin/*-*
	# And this one.
	rm -f debian/gawk/usr/bin/awk
	# Remove duplicate manpage and link it to gawk.1.gz.
	rm -f debian/gawk/usr/share/man/man1/pgawk.1
	dh_link usr/share/man/man1/gawk.1 usr/share/man/man1/pgawk.1
	dh_link usr/share/man/man1/gawk.1 usr/share/man/man1/dgawk.1
	# Install upstream changelog, examples and docs.
	dh_installchangelogs ChangeLog
	dh_installexamples awklib/eg/data awklib/eg/misc awklib/eg/network \
		awklib/eg/prog # awklib/eg/lib is /usr/share/awk + some cruft.
	dh_installdocs FUTURES POSIX.STD NEWS README AUTHORS LIMITATIONS PROBLEMS
	# Install igawk script
	dh_install awklib/igawk usr/bin
	# Remove fake info files (see README.source).
	rm -rf debian/gawk/usr/share/info

binary-indep: build-indep

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/gawk
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build-indep build-arch build clean \
        binary-indep binary-arch binary

## gawk 4.0.0.h+dfsg

=== debian/changelog ===
gawk (1:4.0.0.h+dfsg-1) experimental; urgency=low

  * New upstream beta release:
    - Fix the cases where terminators are incomplete when RS == "".
      Closes: #619738.
  * debian/rules:
    - Enable security hardening build flags via dpkg-buildflags.
    - Simplify using debhelper dh overrides.
    - Generate locales used in test suite.
  * debian-control:
    - Build-Depends on dpkg-dev for dpkg-buildflags and locales for test suite.
    - Suggests gawk-doc package.
  * 18_de.po-typos.diff: Remove, applied upstream.
  * 19_gawk.1-hyphen.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 02 Feb 2012 17:40:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 7), gettext, bison, libsigsegv-dev
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~), locales (>= 0),
+ gettext, bison, libsigsegv-dev
 Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
 Standards-Version: 3.9.2
@@ -12,6 +13,7 @@
 Provides: awk
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}
+Suggests: gawk-doc
 Description: GNU awk, a pattern scanning and processing language
  `awk', a program that you can use to select particular records in a
  file and perform operations upon them.
@@ -23,4 +25,3 @@
  Weinberger, with the additional features defined in the System V Release
  4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
  extensions, and some GNU-specific extensions.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1

DEB_BUILD_MAINT_OPTIONS=hardening=+all
ifeq (sh4,$(DEB_HOST_ARCH))
  # Renesas SH(sh4) need -mieee option.
  # If this option is not effective, fmtspcl test fails.
  DEB_CFLAGS_MAINT_APPEND=-mieee
endif

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib
	# Add fake info files (see README.source).
	touch --date="Jan 01 2000" doc/gawk.info doc/gawk.texi \
                           doc/gawkinet.info doc/gawkinet.texi

override_dh_auto_test:
	# Generate locales used in testsuite.
	mkdir tmp-locales
	localedef -i en_US -c -f ISO-8859-1 -A /usr/share/locale/locale.alias \
          tmp-locales/en_US.ISO-8859-1
	localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/en_US.UTF-8
	localedef -i ja_JP -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/ja_JP.UTF-8
	localedef -i ru_RU -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/ru_RU.UTF-8
	LOCPATH=$(CURDIR)/tmp-locales LC_ALL=C dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# Remove unwanted files: versioned binaries, plain awk and duplicate
	# manpage.
	rm -f debian/gawk/usr/bin/*awk-*
	rm -f debian/gawk/usr/bin/awk
	rm -f debian/gawk/usr/share/man/man1/pgawk.1
	# Remove fake info files (see README.source).
	rm -rf debian/gawk/usr/share/info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tmp-locales

## gawk 4.0.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~), locales (>= 0),
- gettext, bison, libsigsegv-dev
-Maintainer: Arthur Loiret <aloiret@debian.org>
+Build-Depends: bison,
+               debhelper (>= 9),
+               gettext,
+               libreadline-dev,
+               libsigsegv-dev,
+               locales (>= 0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk
 Architecture: any
+Multi-Arch: foreign
 Provides: awk
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
  # Renesas SH(sh4) need -mieee option.
  # If this option is not effective, fmtspcl test fails.
  export DEB_CFLAGS_MAINT_APPEND = -mieee
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	# Add fake info files (see README.source).
	touch --date="Jan 01 2000" doc/gawk.info doc/gawk.texi \
                           doc/gawkinet.info doc/gawkinet.texi

override_dh_auto_build:
	dh_auto_build
	make -C po update-gmo

override_dh_auto_test:
	# Only run the testsuite if it's wanted.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Generate locales used in testsuite.
	mkdir tmp-locales
	localedef -i en_US -c -f ISO-8859-1 -A /usr/share/locale/locale.alias \
          tmp-locales/en_US.ISO-8859-1
	localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/en_US.UTF-8
	localedef -i ja_JP -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/ja_JP.UTF-8
	localedef -i ru_RU -c -f UTF-8 -A /usr/share/locale/locale.alias \
          tmp-locales/ru_RU.UTF-8
	# Run actual test suite.
	LOCPATH=$(CURDIR)/tmp-locales make check
	# Display any failed tests.
	tests=$$(ls test/_* 2>/dev/null); \
        if [ -n "$$tests" ]; then \
          echo "Failing tests: $$(echo $$tests | sed -e 's/test\/_//g')"; \
          for test in $$(ls test/_* 2>/dev/null); do \
            echo ">>> $$test" && cat $$test; \
          done; \
        fi
endif

override_dh_auto_install:
	dh_auto_install
	# Remove unwanted files.
	rm -f debian/gawk/usr/bin/*awk-*
	rm -f debian/gawk/usr/bin/awk
	rm -f debian/gawk/usr/share/man/man1/pgawk.1
	# Remove fake info files (see README.source).
	rm -rf debian/gawk/usr/share/info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tmp-locales

override_dh_compress:
	# Don't compress awk examples.
	dh_compress --exclude=.awk

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://ftp.gnu.org/gnu/gawk/gawk-([\d\.]+)\.tar\.gz

## gawk 4.1.1maemo1

=== debian/changelog ===
gawk (1:4.1.1maemo1) unstable; urgency=low

  * New upstream release for maemo. 

 -- Christian Weniger <less_to_space@web.de>  Wed, 11 Sep 2019 11:36:36 +0200

gawk (1:4.1.1+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Switch repacked source to xz compression.
  * Add dependency on libmpfr-dev for the new multiple precision floating-point
    functionality.
  * Drop PO file patches - applied upstream. Rebuilding the GMO files is no
    longer needed.
  * Add patch to fix some manpage formatting issues. 
  * Add patch from upstream to correctly use DESTDIR for extensions. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Fri, 18 Apr 2014 11:36:36 +0200

gawk (1:4.0.1+dfsg-3) unstable; urgency=low

  * Simplify invocation of test suite and honour DEB_BUILD_OPTIONS=nocheck.
    Closes: #695162.
  * Ensure config.{sub,guess} are updated for new architectures.
    Closes: #714795.
  * Make sure that binaries don't set RPATH.
  * Update to Standards-Version 3.9.5, no changes needed. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Tue, 08 Apr 2014 00:44:30 +0200

gawk (1:4.0.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Depends back to Pre-Depends (closes: #702524).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 16 Mar 2013 12:31:51 +0100

gawk (1:4.0.1+dfsg-2) unstable; urgency=low

  * debian/control:
    - Build-Depends on libreadline-dev for readline support in dgawk.
    - Change Pre-Depends to Depends (OK now that base-files Pre-Depends: awk).
  * debian/patches: New PO files for Italian and Vietnamese from upstream.
  * debian/rules: Rebuild GMO files during build.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 17 May 2012 11:23:46 +0200

gawk (1:4.0.1+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/compat: Update to debhelper compat level 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
    - Mark as Multi-Arch: foreign.  Closes: #666094.
  * debian/copyright: Update and use machine-readable format.
  * debian/rules:
    - Restore display of failed tests.
    - Don't compress example awk code.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 29 Mar 2012 12:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: gawk
-Section: interpreters
+Section: user/development
 Priority: optional
-Build-Depends: bison,
-               debhelper (>= 9),
+Build-Depends: autotools-dev (>= 20120608.1),
+               bison,
+               debhelper (>= 7),
                gettext,
-               libreadline-dev,
+               libmpfr-dev,
+               libreadline5-dev,
                libsigsegv-dev,
                locales (>= 0)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arthur Loiret <aloiret@debian.org>
+Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk
 Architecture: any
-Multi-Arch: foreign
 Provides: awk
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}
@@ -31,3 +31,63 @@
  Weinberger, with the additional features defined in the System V Release
  4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
  extensions, and some GNU-specific extensions.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=gawk
+Maemo-Display-Name: Gawk
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
  # Renesas SH(sh4) need -mieee option.
  # Without this option the fmtspcl test fails.
  export DEB_CFLAGS_MAINT_APPEND = -mieee
endif

LOCPATH=$(CURDIR)/debian/build/locales
LOCALIAS=/usr/share/locale/locale.alias

%:
	SBOX_REDIRECT_IGNORE=/usr/bin/automake:/usr/bin/autoconf:/usr/bin/autom4te:/usr/bin/aclocal:/usr/bin/autom4te:/usr/bin/m4
	export SBOX_REDIRECT_IGNORE
	#export LIBTOOLIZE=/usr/bin/libtoolize  /usr/bin/libtoolize:
	export AUTOM4TE=/usr/bin/autom4te
	export AUTOCONF=/usr/bin/autoconf
	export ACLOCAL=/usr/bin/aclocal
	export AUTOMAKE=/usr/bin/automake
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath
	touch --date="Jan 01 2000" \
            doc/gawktexi.in doc/gawk.texi doc/gawkinet.texi \
            doc/gawk.info doc/gawkinet.info doc/sidebar.awk

override_dh_auto_test:
	# Only run the testsuite if it's wanted.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Generate locales used in testsuite.
	#mkdir -p $(LOCPATH)
	#localedef -i en_US -c -f ISO-8859-1 -A $(LOCALIAS) $(LOCPATH)/en_US.ISO-8859-1
	#localedef -i en_US -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/en_US.UTF-8
	#localedef -i ja_JP -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ja_JP.UTF-8
	#localedef -i ru_RU -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ru_RU.UTF-8
	# Run actual test suite.
	#LOCPATH=$(LOCPATH) make check
endif

override_dh_auto_install:
	dh_auto_install
	# Remove unwanted files.
	rm -f debian/gawk/usr/bin/*awk-*
	rm -f debian/gawk/usr/bin/awk
	# Remove fake info files (see README.source).
	rm -rf debian/gawk/usr/share/info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build

override_dh_compress:
	# Don't compress awk examples.
	dh_compress --exclude=.awk

## gawk 4.1.1+dfsg

=== debian/control ===
Source: gawk
Section: interpreters
Priority: optional
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9),
               gettext,
               libmpfr-dev,
               libreadline-dev,
               libsigsegv-dev,
               locales (>= 0)
Maintainer: Arthur Loiret <aloiret@debian.org>
Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
Standards-Version: 3.9.5
Homepage: http://www.gnu.org/software/gawk/

Package: gawk
Architecture: any
Multi-Arch: foreign
Provides: awk
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}
Suggests: gawk-doc
Description: GNU awk, a pattern scanning and processing language
 `awk', a program that you can use to select particular records in a
 file and perform operations upon them.
 .
 Gawk is the GNU Project's implementation of the AWK programming language.
 It conforms to the definition of the language in the POSIX 1003.2 Command
 Language And Utilities Standard. This version in turn is based on the
 description in The AWK Programming Language, by Aho, Kernighan, and
 Weinberger, with the additional features defined in the System V Release
 4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
 extensions, and some GNU-specific extensions.

## gawk 4.1.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                locales (>= 0)
 Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/ \
http://ftp.gnu.org/gnu/gawk/gawk-([\d\.]+)\.tar\.gz

## gawk 4.1.3+dfsg

=== debian/changelog ===
gawk (1:4.1.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #808297.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Dec 2015 13:56:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,6 @@
 LOCALIAS=/usr/share/locale/locale.alias
 
 %:
-	SBOX_REDIRECT_IGNORE=/usr/bin/automake:/usr/bin/autoconf:/usr/bin/autom4te:/usr/bin/aclocal:/usr/bin/autom4te:/usr/bin/m4
-	export SBOX_REDIRECT_IGNORE
-	#export LIBTOOLIZE=/usr/bin/libtoolize  /usr/bin/libtoolize:
-	export AUTOM4TE=/usr/bin/autom4te
-	export AUTOCONF=/usr/bin/autoconf
-	export ACLOCAL=/usr/bin/aclocal
-	export AUTOMAKE=/usr/bin/automake
 	dh $@ --with autotools-dev
 
 override_dh_auto_configure:
@@ -31,13 +24,13 @@
 	# Only run the testsuite if it's wanted.
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Generate locales used in testsuite.
-	#mkdir -p $(LOCPATH)
-	#localedef -i en_US -c -f ISO-8859-1 -A $(LOCALIAS) $(LOCPATH)/en_US.ISO-8859-1
-	#localedef -i en_US -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/en_US.UTF-8
-	#localedef -i ja_JP -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ja_JP.UTF-8
-	#localedef -i ru_RU -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ru_RU.UTF-8
+	mkdir -p $(LOCPATH)
+	localedef -i en_US -c -f ISO-8859-1 -A $(LOCALIAS) $(LOCPATH)/en_US.ISO-8859-1
+	localedef -i en_US -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/en_US.UTF-8
+	localedef -i ja_JP -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ja_JP.UTF-8
+	localedef -i ru_RU -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ru_RU.UTF-8
 	# Run actual test suite.
-	#LOCPATH=$(LOCPATH) make check
+	LOCPATH=$(LOCPATH) make check
 endif
 
 override_dh_auto_install:

## gawk 4.1.4+dfsg

=== debian/changelog ===
gawk (1:4.1.4+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against libmpfr6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Feb 2018 05:02:41 +0000

gawk (1:4.1.4+dfsg-1) unstable; urgency=medium

  * New maintainer.
  * New upstream release.
  * Add upstream public key for uscan.
  * Standards-Version: 3.9.8 (no changes)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 16:06:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: gawk
 Section: interpreters
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
@@ -9,9 +11,7 @@
                libreadline-dev,
                libsigsegv-dev,
                locales (>= 0)
-Maintainer: Arthur Loiret <aloiret@debian.org>
-Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk

## gawk 4.2.1+dfsg

=== debian/changelog ===
gawk (1:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #907552)
  * Build-depend on locales-all instead of generating own locales.

 --  Adrian Bunk <bunk@debian.org>  Fri, 14 Sep 2018 18:25:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adrian Bunk <bunk@debian.org>
+Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
@@ -10,7 +9,7 @@
                libmpfr-dev,
                libreadline-dev,
                libsigsegv-dev,
-               locales (>= 0)
+               locales-all
 Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/gawk/

## gawk 5.0.1%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/,repacksuffix=+dfsg,repack,compression=xz \
http://ftp.gnu.org/gnu/gawk/gawk-([\d\.]+)\.tar\.gz

## gawk 5.0.1+dfsg

=== debian/changelog ===
gawk (1:5.0.1+dfsg-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflow
    - debian/patches/CVE-2023-4156.patch: prevent integer overflow
      by adding check for negative size value in builtin.c.
    - CVE-2023-4156

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 17 Aug 2023 15:21:23 +0200

gawk (1:5.0.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #940474)
    - Some parser crashes were fixed. (Closes: #816277)
    - Includes manpage fixes. (Closes: #911759, #940321)
    - Incorrect init_debug() prototype was fixed. (Closes: #748408)
    - An incorrect Spanish translation is no longer used.
      (Closes: #725464)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Nov 2019 21:22:40 +0200

## gawk 5.1.0

=== debian/changelog ===
gawk (1:5.1.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: integer overflow
    - debian/patches/CVE-2023-4156.patch: prevent integer overflow
      by adding check for negative size value in builtin.c.
    - CVE-2023-4156

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 17 Aug 2023 12:24:36 +0200

gawk (1:5.1.0-1build3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:25 +0100

gawk (1:5.1.0-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:47 +0200

gawk (1:5.1.0-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:14:16 +0000

gawk (1:5.1.0-1) unstable; urgency=high

  * New upstream release. (Closes: #963780)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 10:42:58 +0200

## gawk 5.2.1

=== debian/changelog ===
gawk (1:5.2.1-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:33:52 +0000

gawk (1:5.2.1-2build2) noble; urgency=medium

  * Build again with libreadline.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:05:28 +0100

gawk (1:5.2.1-2build1) noble; urgency=medium

  * Build without libreadline.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 13:15:18 +0100

gawk (1:5.2.1-2) unstable; urgency=medium

  * Handle a new info file in gawk-doc. (Closes: #1031203)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Feb 2023 15:30:53 +0200

gawk (1:5.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1023541)
    - Fixes double free with bignum. (Closes: #1026436)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 23:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Maintainer: Adrian Bunk <bunk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f

ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
  # Renesas SH(sh4) need -mieee option.
  # Without this option the fmtspcl test fails.
  export DEB_CFLAGS_MAINT_APPEND = -mieee
endif

LOCPATH=$(CURDIR)/debian/build/locales
LOCALIAS=/usr/share/locale/locale.alias

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath
	touch --date="Jan 01 2000" \
	    doc/gawktexi.in doc/sidebar.awk \
	    doc/gawk.texi doc/gawk.info \
	    doc/gawkinet.texi doc/gawkinet.info \
	    doc/gawkworkflow.texi doc/gawkworkflow.info \
	    doc/pm-gawk.texi doc/pm-gawk.info

override_dh_auto_test:
	# Only run the testsuite if it's wanted.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make check
endif

override_dh_auto_install:
	dh_auto_install
	# Remove unwanted files.
	rm -f debian/gawk/usr/bin/*awk-*
	rm -f debian/gawk/usr/bin/awk
	# Remove fake info files (see README.source).
	rm -rf debian/gawk/usr/share/info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build

override_dh_compress:
	# Don't compress awk examples.
	dh_compress --exclude=.awk
